from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XToolkit(XInterface, Protocol):
    def getDesktopWindow(self) -> XWindowPeer: ...
    def getWorkArea(self) -> Rectangle: ...
    def createScreenCompatibleDevice(self, Width: int, Height: int) -> XDevice: ...
    def createRegion(self) -> XRegion: ...
